Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui.popup
Class ReminderInstance

    java.lang.Object
      net.sf.borg.ui.popup.ReminderInstance

     class ReminderInstance

extends Object

holds an instance of a reminder message. Keeps track of which reminder times have been shown for this reminder message. Is not aware of the actual UI used to dislay the reminder.

Constructor Summary
`ReminderInstance(Appointment appt, Date instanceTime)` constructor

Method Summary
`int` | `dueForPopup()` determine if a reminder is ready to be popped up and return the number of the reminder that is ready
`boolean` | `equals(Object obj)`
`Appointment` | `getAppt()` get appointment
`int` | `getCurrentReminder()` get the index of the active reminder for this instance - i.e.
`Date` | `getInstanceTime()` get the instance time
`int` | `hashCode()`
`boolean` | `isHidden()`
`void` | `markAsShown(int reminderNumber)` mark a reminder time as shown
`void` | `setAppt(Appointment appt)`
`void` | `setHidden(boolean hidden)` set the hidden flag
`void` | `setShown(boolean s)` Sets the shown flag.
`boolean` | `shouldBeShown()` determine if an appointment popup should be shown for an appointment that doesn't yet have a popup associated with it
`boolean` | `wasEverShown()` get the shown flag.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReminderInstance

    public ReminderInstance(Appointment appt,
                            Date instanceTime)

  constructor

  Parameters:
    `appt` - the appointment
    `instanceTime` - the instance time.

Method Detail

### dueForPopup

    public int dueForPopup()

  determine if a reminder is ready to be popped up and return the number of the reminder that is ready

  Returns:
    the reminder number or -1 if not ready for a new popup

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getAppt

    public Appointment getAppt()

  get appointment

  Returns:
    the appointment

### getCurrentReminder

    public int getCurrentReminder()

  get the index of the active reminder for this instance - i.e. latest one passed

  Returns:
    index of reminder or -1 if none

### getInstanceTime

    public Date getInstanceTime()

  get the instance time

  Returns:
    the instance time

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isHidden

    public boolean isHidden()

  Returns:
    true if this instance has been marked as hidden (dismissed by user)

### markAsShown

    public void markAsShown(int reminderNumber)

  mark a reminder time as shown

  Parameters:
    `reminderNumber` - the reminder time index

### setAppt

    public void setAppt(Appointment appt)

### setHidden

    public void setHidden(boolean hidden)

  set the hidden flag

### setShown

    public void setShown(boolean s)

  Sets the shown flag.

  Parameters:
    `s` - was this popup ever shown

### shouldBeShown

    public boolean shouldBeShown()

  determine if an appointment popup should be shown for an appointment that doesn't yet have a popup associated with it

  Returns:
    true, if successful

### wasEverShown

    public boolean wasEverShown()

  get the shown flag.

  Returns:
    true if the popup was ever shown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic